using System.Xml.Serialization;

namespace Domain.XML_Model
{
    [Serializable]
    [XmlRoot(ElementName = "equipements")]
    public class Equipement : BaseEntity
    {

        [XmlAttribute(AttributeName = "id")]
        public string Id { get; set; }

        [XmlAttribute(AttributeName = "nom")]
        public string? Nom { get; set; }

        [XmlAttribute(AttributeName = "type")]
        public string? Type { get; set; }

        [XmlAttribute(AttributeName = "poids")]
        public string Poids { get; set; }

        [XmlAttribute(AttributeName = "prix")]
        public int Prix { get; set; }

        [XmlAttribute(AttributeName = "disponibilité")]
        public string? Disponibilité { get; set; }

        [XmlAttribute(AttributeName = "description")]
        public string Description { get; set; }
        [XmlIgnore] public int EquipementId { get; set; }
    }


}
